[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.MouseDown

MouseDown - a procedure that allows the programmer to simulate a mouse button being down over the control, and initiates the same Action as that associated with the OnMouseDown event

## Declaration

Source position: controls.pp line 1152

`protected procedure TControl.MouseDown(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`Button` |  | which buttons are down
`Shift` |  | which of Ctrl, Shift or Alt keys are also pressed

## Description

MouseDown - a procedure that allows the programmer to simulate a mouse button being down over the control, and initiates the same Action as that associated with the #lcl.Controls.TControl.OnMouseDown event

X, Y show mouse position

The latest version of this document can be found at lazarus-ccr.sourceforge.net.